fbsql_result
fbsql_rows_fetched
FrontBase Functions
PHP Manual

# fbsql_rollback

Rollback a transaction to the database

### Description

bool fbsql_rollback ([ resource `$link_identifier` ] )

Ends the current transaction by rolling back all statements issued since last commit.

This command is only needed if autocommit is set to false.

### Parameters

`link_identifier`

  A FrontBase link identifier returned by fbsql_connect or fbsql_pconnect.

  If optional and not specified, the function will try to find an open link to the FrontBase server and if no such link is found it will try to create one as if fbsql_connect was called with no arguments.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- fbsql_autocommit
- fbsql_commit